<?= $header ?><?= $column_left ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-gincore" data-toggle="tooltip" title="<?= $_['button_save'] ?>" 
                        class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?= $cancel ?>" data-toggle="tooltip" title="<?= $_['button_cancel'] ?>" 
                   class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?= $_['heading_title'] ?></h1>
            <ul class="breadcrumb">
                <?php foreach($breadcrumbs as $breadcrumb): ?>
                    <li><a href="<?= $breadcrumb['href'] ?>"><?= $breadcrumb['text'] ?></a></li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if(!empty($error)): ?>
            <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?= $error ?>
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        <?php endif; ?>
        <?php if(!empty($sucess)): ?>
            <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?= $success ?>
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        <?php endif; ?>
        <div class="panel panel-default">
            <div class="panel-body">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#tab-setting" data-toggle="tab"><?= $_['tab_settings'] ?></a></li>
                    <li><a href="#tab-import" data-toggle="tab"><?= $_['tab_import'] ?></a></li>
                </ul>
                <form action="<?= $action ?>" method="post" id="form-gincore" class="form-horizontal">
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab-setting">
                            <div class="panel panel-default">
                                <div class="panel-heading"><h3 class="panel-title"><i class="fa fa-plug"></i><?= $_['tab_settings_title'] ?></h3></div>
                                <div class="panel-body">
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-enabled"><?= $_['settings_api_status'] ?></label>
                                        <div class="col-sm-5">
                                            <select name="gincore_enabled" id="input-gincore-enabled" class="form-control">
                                                <?php if(!empty($settings['enabled'])): ?>
                                                    <option value="1" selected><?= $_['settings_api_enabled'] ?></option>
                                                    <option value="0"><?= $_['settings_api_disabled'] ?></option>
                                                <?php else: ?>
                                                    <option value="1"><?= $_['settings_api_enabled'] ?></option>
                                                    <option value="0" selected><?= $_['settings_api_disabled'] ?></option>
                                                <?php endif; ?>
                                            </select>
                                        </div>
                                        <div class="col-sm-5">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-api-domain"><?= $_['settings_api_domain'] ?></label>
                                        <div class="col-sm-5">
                                            <input type="text" name="gincore_api_domain" id="input-gincore-api-domain" class="form-control" 
                                                   value="<?= $settings['api_domain'] ?>">
                                        </div>
                                        <div class="col-sm-5"></div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-api-key"><?= $_['settings_api_key'] ?></label>
                                        <div class="col-sm-5">
                                            <input type="text" name="gincore_api_key" id="input-gincore-api-key" class="form-control" 
                                                   value="<?= $settings['api_key'] ?>">
                                        </div>
                                        <div class="col-sm-5"></div>
                                    </div>
                                        
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label"><?= $_['settings_webhook'] ?></label>
                                        <div class="col-sm-5">
                                            <input type="text" readonly class="form-control" 
                                                   value="<?= $webhook ?>">
                                        </div>
                                        <div class="col-sm-5"></div>
                                    </div>

                                </div>
                            </div>
                            <div class="panel panel-default">
                                <div class="panel-heading"><h3 class="panel-title"><i class="fa fa-link"></i><?= $_['settings_link_title'] ?></h3></div>
                                <div class="panel-body">
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-language-id"><?= $_['settings_link_language'] ?></label>
                                        <div class="col-sm-4">
                                            <select name="gincore_language_id" id="input-gincore-language-id" class="form-control">
                                                <?php foreach($languages as $language): ?>
                                                    <option value="<?= $language['language_id'] ?>" 
                                                            <?= $settings['language_id'] == $language['language_id'] ? 'selected' : '' ?>
                                                            ><?= $language['name'] ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="help-block" style="margin-top: 9px">
                                                <?= $_['settings_link_language_help'] ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-product-stock-status"><?= $_['settings_link_product_stock_status_id'] ?></label>
                                        <div class="col-sm-4">
                                            <select name="gincore_stock_status_id" id="input-gincore-product-stock-status" class="form-control">
                                                <?php foreach($statuses as $status): ?>
                                                    <option value="<?= $status['stock_status_id'] ?>" 
                                                            <?= $settings['stock_status_id'] == $status['stock_status_id'] ? 'selected' : '' ?>
                                                        ><?= $status['name'] ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="help-block" style="margin-top: 9px">
                                                <?= $_['settings_link_product_stock_status_id_help'] ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-gincore-attributes-as-filters"><?= $_['settings_link_attributes_as_filters'] ?></label>
                                        <div class="col-sm-4">
                                            <select name="gincore_attributes_as_filters" id="input-gincore-attributes-as-filters" class="form-control">
                                                    <option value="1" 
                                                            <?= $settings['attributes_as_filters'] == 1 ? 'selected' : '' ?>
                                                        ><?= $_['option_enabled'] ?></option>
                                                    <option value="0" 
                                                            <?= $settings['attributes_as_filters'] == 0 ? 'selected' : '' ?>
                                                        ><?= $_['option_disabled'] ?></option>
                                            </select>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="help-block" style="margin-top: 9px">
                                                <?= $_['settings_link_attributes_as_filters_help'] ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                                        
                        <div class="tab-pane" id="tab-import">
                            <?php if(!empty($settings['enabled'])): ?>
                                <div class="panel panel-default">
                                    <div class="panel-heading"><h3 class="panel-title"><i class="fa fa-link"></i> <?= $_['import_categories_title'] ?></h3></div>
                                    <div class="panel-body">
                                        <div class="form-group">
                                            <div class="col-sm-3">
                                                <a href="<?= $import_categories_link ?>" style="width: 100%" id="category-link-btn" 
                                                   class="btn btn-primary" type="submit"><?= $_['import_categories'] ?></a>
                                            </div>
                                            <div class="col-sm-9">
                                                <div class="help-block" style="margin-top: 9px">
                                                    <?= $_['import_categories_help'] ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-sm-3">
                                                <a href="<?= $update_categories_link ?>" style="width: 100%" id="category-update-btn" 
                                                   class="btn btn-primary" type="submit"><?= $_['import_categories_update'] ?></a>
                                            </div>
                                            <div class="col-sm-9">
                                                <div class="help-block" style="margin-top: 9px">
                                                    <?= $_['import_categories_update_help'] ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-sm-3">
                                                <a href="<?= $remove_categories_link ?>" style="width: 100%" id="category-delete-btn" 
                                                   class="btn btn-danger" onclick="return confirm('<?= $_['import_categories_remove_confirm'] ?>')"><?= $_['import_categories_remove'] ?></a>
                                            </div>
                                            <div class="col-sm-9">
                                                <div class="help-block" style="margin-top: 9px">
                                                    <?= $_['import_categories_remove_help'] ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <?= $_['import_categories_count'] ?>: <?= $imported_categories ?>
                                    </div>
                                </div>

                                <div class="panel panel-default">
                                    <div class="panel-heading"><h3 class="panel-title"><i class="fa fa-link"></i> <?= $_['import_products_title'] ?></h3></div>
                                    <div class="panel-body">
                                        <div class="panel-body">
                                            <div class="form-group">
                                                <div class="col-sm-3">
                                                    <a href="<?= $import_products_link ?>" style="width: 100%" id="category-link-btn" 
                                                       class="btn btn-primary" type="submit"><?= $_['import_products'] ?></a>
                                                </div>
                                                <div class="col-sm-9">
                                                    <div class="help-block" style="margin-top: 9px">
                                                        <?= $_['import_products_help'] ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-3">
                                                    <a href="<?= $update_products_link ?>" style="width: 100%" id="category-update-btn" 
                                                       class="btn btn-primary" type="submit"><?= $_['import_products_update'] ?></a>
                                                </div>
                                                <div class="col-sm-9">
                                                    <div class="help-block" style="margin-top: 9px">
                                                        <?= $_['import_products_update_help'] ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-3">
                                                    <a href="<?= $remove_products_link ?>" style="width: 100%" id="category-delete-btn" 
                                                       class="btn btn-danger" onclick="return confirm('<?= $_['import_products_remove_confirm'] ?>')"><?= $_['import_products_remove'] ?></a>
                                                </div>
                                                <div class="col-sm-9">
                                                    <div class="help-block" style="margin-top: 9px">
                                                        <?= $_['import_products_remove_help'] ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <?= $_['import_products_count'] ?>: <?= $imported_products ?>
                                    </div>
                                </div>

                            <?php else: ?>
                                <p class="text-danger"><?= $_['integration_disabled'] ?></p>
                            <?php endif; ?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?= $footer ?>

<script>
    var hash = window.location.hash;
    if (hash) {
        $('a[href="' + hash + '"][data-toggle=tab]').click();
    }
</script>