<?php


namespace gincore;

trait models_loader
{
    
    /**
     * @return string
     */
    private function getRootPath()
    {
        if(defined('DIR_CATALOG')){
            return DIR_APPLICATION;
        }
        return substr(DIR_APPLICATION, 0, -strlen($this->settings['catalog_folder'] . '/')) . $this->settings['admin_folder'] . '/';
    }
    
    /**
     * 
     */
    public function loadCategoryModel()
    {
        if(!class_exists('ModelCatalogCategory')){
            require_once $this->getRootPath() . "model/catalog/category.php";
        }
    }
    
    /**
     * 
     */
    public function loadProductModel()
    {
        if(!class_exists('ModelCatalogProduct')){
            require_once $this->getRootPath() . "model/catalog/product.php";
        }
    }
    
    /**
     * 
     */
    public function loadAttributeModel()
    {
        if(!class_exists('ModelCatalogAttribute')){
            require_once $this->getRootPath() . "model/catalog/attribute.php";
        }
    }
    
    /**
     * 
     */
    public function loadAttributeGroupModel()
    {
        if(!class_exists('ModelCatalogAttributeGroup')){
            require_once $this->getRootPath() . "model/catalog/attribute_group.php";
        }
    }
    
    /**
     * 
     */
    public function loadFilterModel()
    {
        if(!class_exists('ModelCatalogFilter')){
            require_once $this->getRootPath() . "model/catalog/filter.php";
        }
    }
    
}
