<?php

namespace gincore;

class Settings
{
    /**
     * @var array 
     */
    private $settings;
    /**
     * @var \Registry 
     */
    private $registry;
    
    /**
     * @param \Registry $registry
     */
    public function __construct($registry)
    {
        $this->registry = $registry;
        
        $this->setSettings();
    }
    
    /**
     * 
     */
    private function setSettings()
    {
        $this->registry->get('load')->model('setting/setting');
        $settings = $this->registry->get('model_setting_setting')->getSetting('gincore');
        $this->settings = $settings ? $settings['gincore_settings'] : [];
    }
    
    /**
     * @return array
     */
    public function enabled()
    {
        return !empty($this->settings['enabled']);
    }
    
    /**
     * @return array
     */
    public function getSettings()
    {
        return $this->settings;
    }
    
}
