<?php

namespace gincore;

use \Url;

class Webhook
{

    /**
     * @var Registry 
     */
    private $registry;
    /**
     * @var array 
     */
    private $settings;
    
    /**
     * @param array $settings
     * @param Registry $registry
     */
    public function __construct($settings, $registry)
    {
        $this->settings = $settings;
        $this->registry = $registry;
    }

    /**
     * @return string
     */
    public function getWebhookUrl()
    {
        $url = new Url(HTTP_CATALOG, $this->registry->get('config')->get('config_secure') ? HTTP_CATALOG : HTTPS_CATALOG);
        return $url->link('extension/module/gincore/webhook', 'key=' . $this->getKey(), true);
    }
    
    /**
     * @return string
     */
    private function getKey()
    {
        return md5($this->settings['api_key'] . $this->settings['api_domain']);
    }
    
    /**
     * @return bool
     */
    public function validateKey($key)
    {
        return strcmp($key, $this->getKey()) === 0;
    }
    
}
